import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    isLoading: false,
    cdCentral: '',
  },
  mutations: {
    loading: (state, loading: boolean) => {
      state.isLoading = loading;
    },
    cdCentral: (state, cdCentral: string) => {
      state.cdCentral = cdCentral;
    },
  },
  actions: {

  },
  getters: {
    isLoading: (state) => state.isLoading,
    cdCentral: (state) => state.cdCentral,
  },
});
